function _extends() {
  _extends = Object.assign ? Object.assign.bind() : function(target) {
    for (var i = 1; i < arguments.length; i++) {
      var source = arguments[i];
      for (var key in source) {
        if (Object.prototype.hasOwnProperty.call(source, key)) {
          target[key] = source[key];
        }
      }
    }
    return target;
  };
  return _extends.apply(this, arguments);
}
import { renderless, api } from "@dftvue2-opentiny/vue-renderless/filter-bar/vue";
import { defineComponent, $props, setup as _setup } from "@dftvue2-opentiny/vue-common";
import { IconUnfilter, IconChevronDown, IconChevronUp } from "@dftvue2-opentiny/vue-icon";
function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  if (functionalTemplate) {
    options.functional = true;
  }
  if (scopeId) {
    options._scopeId = "data-v-" + scopeId;
  }
  var hook;
  if (moduleIdentifier) {
    hook = function hook2(context) {
      context = context || // cached call
      this.$vnode && this.$vnode.ssrContext || // stateful
      this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext;
      if (!context && typeof __VUE_SSR_CONTEXT__ !== "undefined") {
        context = __VUE_SSR_CONTEXT__;
      }
      if (injectStyles) {
        injectStyles.call(this, context);
      }
      if (context && context._registeredComponents) {
        context._registeredComponents.add(moduleIdentifier);
      }
    };
    options._ssrRegister = hook;
  } else if (injectStyles) {
    hook = shadowMode ? function() {
      injectStyles.call(this, (options.functional ? this.parent : this).$root.$options.shadowRoot);
    } : injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

var __vue2_script = defineComponent({
  components: {
    IconUnfilter: IconUnfilter(),
    IconChevronDown: IconChevronDown(),
    IconChevronUp: IconChevronUp()
  },
  props: _extends({}, $props, {
    modelValue: Number,
    data: Array
  }),
  setup: function setup(props, context) {
    return _setup({
      props,
      context,
      renderless,
      api
    });
  }
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", {
    staticClass: "relative text-sm text-color-text-primary w-full h-11 flex items-center justify-center px-4 border-b-0.5 border-color-border-separator",
    attrs: {
      "data-tag": "tiny-filter-bar"
    }
  }, [_vm._l(_vm.data, function(item, index) {
    return _c("div", {
      key: index,
      class: ["flex-1 flex items-center justify-center cursor-pointer overflow-hidden mx-3", {
        "text-color-brand": _vm.modelValue === index
      }],
      on: {
        "click": function click($event) {
          $event.stopPropagation();
          return _vm.click(index);
        }
      }
    }, [_vm._t("default", function() {
      return [_c("span", {
        staticClass: "truncate",
        attrs: {
          "title": item
        }
      }, [_vm._v(_vm._s(item))]), _c("IconChevronUp", {
        directives: [{
          name: "show",
          rawName: "v-show",
          value: _vm.modelValue === index,
          expression: "modelValue === index"
        }],
        class: [{
          "text-color-icon-placeholder": _vm.modelValue !== index
        }],
        attrs: {
          "custom-class": "flex-none w-3 h-3 ml-2 fill-current"
        }
      }), _c("IconChevronDown", {
        directives: [{
          name: "show",
          rawName: "v-show",
          value: _vm.modelValue !== index,
          expression: "modelValue !== index"
        }],
        class: [{
          "text-color-icon-placeholder": _vm.modelValue !== index
        }],
        attrs: {
          "custom-class": "flex-none w-3 h-3 ml-2 fill-current"
        }
      })];
    }, {
      "data": item,
      "index": index
    })], 2);
  }), _c("div", {
    staticClass: "h-full flex items-center justify-center truncate"
  }, [_vm._t("icon")], 2)], 2);
};
var staticRenderFns = [];
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles, null, null, null);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();
export {
  mobileFirst as default
};
